from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSubmit(XInterface, Protocol):
    def submit(self, aControl: XControl, aMouseEvt: MouseEvent) -> None: ...
    def addSubmitListener(self, aListener: XSubmitListener) -> None: ...
    def removeSubmitListener(self, aListener: XSubmitListener) -> None: ...
